/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.Observable;

/**
 *Clase que guarda los participantes del proyecto
 */
public class Participante {

    /**
     * Nombre del participante
     */
    private String Nombre;
    /**
     * Rol del participante
     */
    private String Rol;
    /**
     * Guarda si el participante es o no cliente
     */
    private boolean EsCliente;
    /**
     * Guarda si el participante es o no desarrollador
     */
    private boolean EsDesarrollador;
    /**
     * Guarda si el participante es o no usuario
     */
    private boolean EsUsuario;
    /**
     * Este parámetro estático, lleva la cuenta del número de participantes
     * que se han creado, para poder reconocerlos unívocamente.
     */
    
    static int n_instancia=0;
    /**
     * Identificador único de cada participante
     */
    private int numero_id;

    /**
     * Constructor del participante que crea y guarda su identificador
     */
    public Participante()
    {
        n_instancia++;
        numero_id=n_instancia;
    }
    /**
     * 
     * @return Nombre 
     */

    public String getNombre() {
        return Nombre;
    }

    /**
     * @param Nombre the Nombre to set
     */
    public void setNombre(String Nombre) {
        this.Nombre = Nombre;
    }

    /**
     * @return the Rol
     */
    public String getRol() {
        return Rol;
    }

    /**
     * @param Rol the Rol to set
     */
    public void setRol(String Rol) {
        this.Rol = Rol;
    }

    /**
     * @return the EsCliente
     */
    public boolean isEsCliente() {
        return EsCliente;
    }

    /**
     * @param EsCliente the EsCliente to set
     */
    public void setEsCliente(boolean EsCliente) {
        this.EsCliente = EsCliente;
    }

    /**
     * @return the EsDesarrolador
     */
    public boolean isEsDesarrollador() {
        return EsDesarrollador;
    }

    /**
     * @param EsDesarrolador the EsDesarrolador to set
     */
    public void setEsDesarrollador(boolean EsDesarrollador) {
        this.EsDesarrollador = EsDesarrollador;
    }

    /**
     * @return the EsUsuario
     */
    public boolean isEsUsuario() {
        return EsUsuario;
    }

    /**
     * @param EsUsuario the EsUsuario to set
     */
    public void setEsUsuario(boolean EsUsuario) {
        this.EsUsuario = EsUsuario;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }

}
